{if !$is_load}

    <link rel="stylesheet" href="/templates/{template}/css/invideo.css" type="text/css" />
    <div class="auto_load">
        <div class="loader hid">{$LANG.LOADING}...</div>
        <input type="hidden" id="total_pages" value="{$total_pages}" />
        <div class="top_movie">
            <h3>{$LANG.USERS_MOVIES}, <a href="/video/channel/{$usr.login}.html">{$LANG.ALL_CHANNEL}</a> <a href="/rss/video/{$usr.login}/feed.rss" title="{$LANG.CHANNELS_RSS}"><img alt="rss" src="/templates/{template}/images/icons/rss.png" /></a></h3>
            {if $access.myprofile && $access.is_auth}
                <div class="right-nav">
                    <a class="v_addlink" href="/video/add.html">{$LANG.MOVIE_ADD}</a>
                </div>
            {/if}
        </div>

    {if $movies}
        <ul class="sort" id="p_movie">
            {foreach key=tid item=movie from=$movies}
                <li>
                <a title="{$LANG.VIEW_MOVIE} - {$movie.title|escape:'html'}" href="{$movie.movie_link}" class="thumb"><img src="/upload/video/thumbs/medium/{$movie.img}" alt="{$movie.title|escape:'html'}">{if $movie.is_adult}<span class="censored">18+</span>{/if}<span title="{$LANG.DURATION}" class="duration">{$movie.duration}</span><span class="thumb_hover"></span></a>
                  <h5><a href="{$movie.movie_link}">{$movie.s_title}</a></h5>
                    <p>
                        <span class="icn-views">{$movie.hits}</span>
                        <span title="{$LANG.SUMM_RATING}" class="icn-rating">{$movie.rating}</span>
                        <span title="{$LANG.COMMENTI}" class="icn-comments">{$movie.comments}</span>
                        <span><a href="{$movie.cat_link}">{$movie.cat_title}</a></span>
                    </p>
                </li>
            {/foreach}
            <li class="cb"></li>
        </ul>
    </div>
    {literal}
    <script type="text/javascript">
    $(document).ready(function(){
        $window  = $(window);
        var loader     = $('.loader');
        var page       = 1;
        var is_loaded  = 0;
        var total_page = $('#total_pages').val();
        $window.scroll(function() {
            if  ($window.scrollTop() == ($(document).height()-$window.height()) && is_loaded==0){
                page = page + 1;
                if(page <= total_page){
                    loader.fadeIn();
                    is_loaded = 1;
                    $.post('/users/channel?user_id={/literal}{$usr.id}{literal}', {page: page, is_load: 1}, function(data){
                        $('#p_movie').delay(1500).append(data);
                        setTimeout(function (){ loader.hide(); },500);
                        is_loaded = 0;
                    });
                } else {
                    loader.hide();
                    is_loaded = 0;
                    $window.unbind('scroll');
                }
            }
        });
    });
    </script>
    {/literal}
    {else}
        <p>{$LANG.USER_NOT_UPLOAD_MOVIE}...</p>
    {/if}

{else}
    {if $movies}
        {foreach key=tid item=movie from=$movies}
            <li>
            <a title="{$LANG.VIEW_MOVIE} - {$movie.title|escape:'html'}" href="{$movie.movie_link}" class="thumb"><img src="/upload/video/thumbs/medium/{$movie.img}" alt="{$movie.title|escape:'html'}">{if $movie.is_adult}<span class="censored">18+</span>{/if}<span title="{$LANG.DURATION}" class="duration">{$movie.duration}</span><span class="thumb_hover"></span></a>
              <h5><a href="{$movie.movie_link}">{$movie.s_title}</a></h5>
                <p>
                    <span class="icn-views">{$movie.hits}</span>
                    <span title="{$LANG.SUMM_RATING}" class="icn-rating">{$movie.rating}</span>
                    <span title="{$LANG.COMMENTI}" class="icn-comments">{$movie.comments}</span>
                    <span><a href="{$movie.cat_link}">{$movie.cat_title}</a></span>
                </p>
            </li>
        {/foreach}
    {/if}
{/if}